# tbb::internal::work_around_alignment_bug< Size, T > Struct Template Reference

Work around for bug in GNU 3.2 and MSVC compilers. More...

`#include <tbb_machine.h>`

List of all members.

## Static Public Attributes
static const size_t | alignment = __TBB_alignof(T)

## Detailed Description

### template<size_t Size, typename T>
struct tbb::internal::work_around_alignment_bug< Size, T >

Work around for bug in GNU 3.2 and MSVC compilers.

Bug is that compiler sometimes returns 0 for __alignof(T) when T has not yet been instantiated. The work-around forces instantiation by forcing computation of sizeof(T) before __alignof(T).

The documentation for this struct was generated from the following file:

- tbb_machine.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.